from django_auth_ldap.backend import LDAPBackend


def custom_attributes(user, service):
    # Tous les champs doivent être des strings
    ldap_user = LDAPBackend().populate_user(user.username)

    if 'filiere' in ldap_user.ldap_user.attrs and \
        len(ldap_user.ldap_user.attrs['filiere']) > 0:
        filiere = ldap_user.ldap_user.attrs['filiere'][0]
    else:
        filiere = ""

    return {'groups' : str([g.name for g in user.groups.all()]),
            'email' : user.email,
            'last_name' : user.last_name,
            'first_name' : user.first_name,
            'filiere' : filiere,
            'is_superuser' : str(user.is_superuser)}
